# VictoryPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class VictoryPhase

#### Hierarchy (View Summary)

- PokemonPhase
  - VictoryPhase

- Defined in src/phases/victory-phase.ts:17

##### Index

### Constructors

constructor

### Properties

battlerIndex
fieldIndex
isExpOnly
player

### Methods

end
executeForAll
getFixedBattleCustomModifiers
getPokemon
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new VictoryPhase(battlerIndex: number, isExpOnly?: boolean): VictoryPhase

  #### Parameters

  - battlerIndex: number
  - isExpOnly: boolean = false

  #### Returns VictoryPhase

  Overrides PokemonPhase.constructor

  - Defined in src/phases/victory-phase.ts:21

## Properties

### `Protected` battlerIndex

battlerIndex: number

Inherited from PokemonPhase.battlerIndex

- Defined in src/phases/pokemon-phase.ts:7

### fieldIndex

fieldIndex: number

Inherited from PokemonPhase.fieldIndex

- Defined in src/phases/pokemon-phase.ts:9

### isExpOnly

isExpOnly: boolean

If true, indicates that the phase is intended for EXP purposes only, and not to continue a battle to next phase

- Defined in src/phases/victory-phase.ts:19

### player

player: boolean

Inherited from PokemonPhase.player

- Defined in src/phases/pokemon-phase.ts:8

## Methods

### end

- end(): void

  #### Returns void

  Inherited from PokemonPhase.end

  - Defined in src/phase.ts:6

### executeForAll

- executeForAll(func: PokemonFunc): void

  #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from PokemonPhase.executeForAll

  - Defined in src/phases/field-phase.ts:8

### getFixedBattleCustomModifiers

- getFixedBattleCustomModifiers(): undefined | CustomModifierSettings

  If this wave is a fixed battle with special custom modifier rewards, will pass those settings to the upcoming `SelectModifierPhase``.

  #### Returns undefined | CustomModifierSettings

  - Defined in src/phases/victory-phase.ts:120

### getPokemon

- getPokemon(): default

  #### Returns default

  Inherited from PokemonPhase.getPokemon

  - Defined in src/phases/pokemon-phase.ts:26

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from PokemonPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from PokemonPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides PokemonPhase.start

  - Defined in src/phases/victory-phase.ts:27